package example.android.kuji;

import android.app.Activity;
import android.content.Intent;
import android.media.AudioManager;
import android.media.SoundPool;
import android.os.Bundle;
import android.text.Editable;
import android.util.Log;
import android.view.KeyEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

class gv{											/** global variable **/
	public static SoundPool sound;					// SoundPool
	public static int Si0;							// ちょうはんコマ…
	public static int Si1;							// 乱数を発生させ…
	public static int Si2;							// pyon
	public static int Si3;							// bororo
	public static int Idx[]={0,0,0,0,0,0,0,0,0,0};	// no0~no9
}

public class FirstActivity extends Activity {
    @Override
    public void onCreate(Bundle savedInstanceState){// onCreateメソッド(画面初期表示イベントハンドラ)
        super.onCreate(savedInstanceState);			// スーパークラスのonCreateメソッド呼び出し
        setContentView(R.layout.firstlayout);		// レイアウト設定ファイルの指定

		Button button = (Button) findViewById(R.id.button1);// ボタンオブジェクト取得
		button.setOnClickListener(new LotteryListener());// ボタンオブジェクトにクリックリスナー設定
	}

	@Override
	public void onResume() {
		super.onResume();
		gv.sound = new SoundPool(2, AudioManager.STREAM_MUSIC, 0);
		gv.Si0 = gv.sound.load(this, R.raw.chohan, 1);
		gv.Si1 = gv.sound.load(this, R.raw.ransuu, 1);
		gv.Si2 = gv.sound.load(this, R.raw.pyon, 1);
		gv.Si3 = gv.sound.load(this, R.raw.bororo, 1);
		gv.Idx[0] = gv.sound.load(this, R.raw.no0, 1);
		gv.Idx[1] = gv.sound.load(this, R.raw.no1, 1);
		gv.Idx[2] = gv.sound.load(this, R.raw.no2, 1);
		gv.Idx[3] = gv.sound.load(this, R.raw.no3, 1);
		gv.Idx[4] = gv.sound.load(this, R.raw.no4, 1);
		gv.Idx[5] = gv.sound.load(this, R.raw.no5, 1);
		gv.Idx[6] = gv.sound.load(this, R.raw.no6, 1);
		gv.Idx[7] = gv.sound.load(this, R.raw.no7, 1);
		gv.Idx[8] = gv.sound.load(this, R.raw.no8, 1);
		gv.Idx[9] = gv.sound.load(this, R.raw.no9, 1);
    }

    // クリックリスナー定義
    class LotteryListener implements OnClickListener {
        // onClickメソッド(ボタンクリック時イベントハンドラ)
		public void onClick(View vw) {
			Log.v("FirstActivity ","v.fortune=" + v.fortune+" v.LineCount=" + v.LineCount);
			if(v.fortune == 99)	{								// SecondActivityが実行されている。
				v.fortune = 0;									// reset fortune
				gv.sound.play(gv.Si3, 1.0f, 1.0f, 0, 0, 1.0f);	// S bororo
				delay.time(1000);
				System.exit(0);
			}
			// テキストボックスオブジェクト取得
			EditText input = (EditText) findViewById(R.id.nametext);
			Editable str = input.getText();
			String string = str.toString();
			// 入力情報をトースト機能で画面表示

            // インテントの生成(呼び出すクラスの指定)
			Intent intent = new Intent(FirstActivity.this, SecondActivity.class);
            // 選択された値をインテントに設定
            intent.putExtra("PARTY_MEMBER", string);
			//Log.v("tag_name", "go new screen.");
            // 次のアクティビティの起動
            startActivity(intent);
        }
    }

	public boolean onKeyDown(int keyCode, KeyEvent event){	// Back-key
		Log.v("FirstActivity-onKeyDown", "fortune="+v.fortune+" KeyCode="+keyCode);
		if(keyCode == KeyEvent.KEYCODE_BACK)	v.fortune = 0;	// reset fortune
		return super.onKeyDown(keyCode, event);
	}
}